Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.concurrency
Class CachingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jasig.portal.PortalException
                  org.jasig.portal.concurrency.CachingException

All Implemented Interfaces:
  java.io.Serializable

    public class CachingException

extends PortalException

A `CachingException` describes a problem that has arisen during an attempt to add, update, remove or reference a cache entry. If the problem arises in the store, the `CachingException` should wrap an `Exception` specific to the store, like a `java.sql.SQLException`.

Version:
  $Revision: 1.4 $ $Date: 2005/03/07 20:09:06 $
Author:
  Dan Ellentuck
See Also:
  Serialized Form

Constructor Summary
`CachingException()` Deprecated. use a more helpful constructor
`CachingException(java.lang.String msg)` Instantiate a CachingException with the given message.
`CachingException(java.lang.String msg, java.lang.Throwable cause)` Instantiate a CachingException with the given message and underlying cause.
`CachingException(java.lang.Throwable cause)` Instantiate a CachingException with the given cause.

Method Summary
`int` | `getExceptionCode()` Deprecated.

Methods inherited from class org.jasig.portal.PortalException
`allowRefresh, allowReinstantiation, getErrorID, getParameter, getRecordedException, getTimestamp, isLogPending, isRefreshable, isReinstantiable, setErrorID, setLogPending, setParameter, setRecordedException, setRefreshable, setReinstantiable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CachingException

    public CachingException()

  Deprecated. use a more helpful constructor

  Instantiate a bare CachingException. Deprecated because it would be so much more helpful if you were to instead use a contructor with a message.

### CachingException

    public CachingException(java.lang.Throwable cause)

  Instantiate a CachingException with the given cause.

  Parameters:
    `cause` - A throwable that caused the caching problem.

### CachingException

    public CachingException(java.lang.String msg)

  Instantiate a CachingException with the given message.

  Parameters:
    `msg` - message describing nature of caching problem.

### CachingException

    public CachingException(java.lang.String msg,
                            java.lang.Throwable cause)

  Instantiate a CachingException with the given message and underlying cause.

  Parameters:
    `msg` - message describing nature of caching problem.
    `cause` - underlying cause.

Method Detail

### getExceptionCode

    public int getExceptionCode()

  Deprecated.

  This method always returns zero. Presumably it is here because at one time PortalExceptions were to be identified by integer codes. In any case, this method does not correspond to any interface and is deprecated for future removal.

  Returns:
    0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD